For AI agents: the docs index is at https://docs.api-us.bluestonepim.com/llms.txt. Append .md to any documentation page URL to get its markdown version.
Jump to Content
Bluestone PIM - Production USEnvironment: ProductionEnvironment: Production USEnvironment: Test
HomeGuidesAPI Reference
Environment: ProductionEnvironment: Production USEnvironment: TestBluestone PIM - Production US
API Reference
HomeGuidesAPI Reference

Get bearer token

  • Generate tokenpost

PIM

  • Catalog nodes
    • Create a catalog node (category) or a top-level catalog.post
    • List all catalog nodes/categories that use the attribute definition in a Category Level Attribute (CLA).get
    • Describe catalog nodes/categories.post
    • Delete a catalog node (category) and its entire subtree.del
    • Describe catalog node/category.get
    • Partially update a catalog node's (category's) main details.patch
    • Update catalog node/category.put
    • List the direct child nodes (categories) of a catalog node.get
    • Move catalog node/category to new parent.put
    • Change category order.put
    • List catalog node/category path to root.get
    • List catalog node/category products.get
    • Add product to the catalog node/category.post
    • Remove product from the catalog node/category.del
  • Product policy
    • Get policy by category node id.get
    • Add policy to products for category node id.post
    • Delete policy from products for category node id.del
    • Get policy by category id.get
    • Add policy to products for category id.post
    • Delete policy from products for category id.del
    • Get catalog node by policy id.get
    • Get categories by policy id.get
  • Bulk
    • Get async task status.get
    • Delete products attributes.del
  • Attribute definition policies
    • Get policies by attribute definition ID.get
    • Add policy to attribute definition.post
    • Delete policy for attribute definition.del
    • Get attribute definitions by policy ID.get
    • Delete policy from attribute definitions.del
    • Add a policy to multiple attribute definitions.post
  • Products categories
    • Add products as children of category.post
    • List of category IDs the product resides in.get
    • Assigns an existing product to one or more existing catalog categories.post
    • Unassigns a product from a single catalog category.del
  • Validation
    • Validates attribute definitions.post
    • [DEPRECATED; EOL 2026-12-20] Validates list of products.post
    • Validates attribute value.post
  • Category attributes
    • List all Catalog or Category attributes.get
    • Unassigns an attribute from Catalog/Category.del
    • Assigns an attribute to Catalog/Category.post
    • Sets the value of a dictionary Catalog or Category attribute.put
    • Sets the value of a select/multiselect Catalog or Category attribute.put
    • Sets the value of a simple Catalog or Category attribute.put
  • Products
    • Create new product.post
    • Archive products by IDs.put
    • Create a copy of product.post
    • Get products using cursor with details from given views.post
    • Show list of products filtered by type with details from given views.post
    • Show list of products filtered by asset ids with details from given views.post
    • Show list of products filtered by ids with details from given views.post
    • Show list of products filtered by numbers with details from given views.post
    • Unarchive products by ids.put
    • Show product details.get
    • Update product main details, supports partial update.patch
    • Create a copy of product.post
    • Show product filtered by id with view.post
    • Show product overview.get
  • Products templates
    • List all product templates.get
    • Delete product template.del
    • Show details of product template.get
    • Create product template.post
    • Update product template name.put
  • Products relations
    • List the relation definitions a product participates in, each with its direction(s).get
    • Relate a product to another product under a relation definition.post
    • Update a product relations sorting order source.put
    • Remove every relation of one relation definition from a product.del
    • Retrieve related products for given product and relation.get
    • Relate a product to several other products at once under one relation definition.post
    • Remove multiple product relations from a specified product and relation.del
    • Update the order of relation definitions on product.put
    • Delete relation between two products.del
    • Update the order of products in a product relation.put
    • Update connection quantity.put
  • Products attributes
    • Add attribute values in given set of products.post
    • Upsert the values of one attribute across many products in a single bulk operation.post
    • Update attribute values in given set of products.put
    • Append dictionary value to products.post
    • Deduct dictionary value from products.post
    • Append select/multiselect values to products.post
    • Deduct select/multiselect values from products.post
    • Retrieve the attributes associated with a product.get
    • Add an attribute to a product.post
    • Upsert several attributes on one product in a single call.put
    • Add column attribute to product.post
    • Update column attribute of product.put
    • Add dictionary attribute to product.post
    • Set values for dictionary attribute of product.post
    • Add matrix attribute to product.post
    • Update matrix attribute of product.put
    • Delete product attribute.del
    • Update product attribute.put
    • Get grouped product attributes.get
  • Category level attributes
    • List all Category Level Attributes (CLA).get
    • List only Category Level Attributes (CLA) attached to given catalog node/category.get
    • Delete Category Level Attribute (CLA) from catalog node/category.del
    • Update Category Level Attribute (CLA) and schedule propagation task.patch
    • Create a Category Level Attribute (CLA) and schedule propagation task.post
    • Create column Category Level Attribute (CLA) and schedule propagation task.post
    • Update column Category Level Attribute (CLA) and schedule propagation task.put
    • Create compound Category Level Attribute (CLA) and schedule propagation task.post
    • Create dictionary Category Level Attribute (CLA) and schedule propagation task.post
    • Set values for dictionary Category Level Attribute (CLA) and schedule propagation task.post
    • Create matrix Category Level Attribute (CLA) and schedule propagation task.post
    • Update matrix Category Level Attribute (CLA) and schedule propagation task.put
  • Compound attribute definitions
    • Lists details of compound attribute definition.get
    • Create compound attribute definition.post
    • List all compound attributes that use the attribute definition.get
    • Delete compound attribute definition.del
    • Show details of compound attribute definition.get
    • Update compound attribute definition.put
  • Relations
    • Show all relation definitions.get
    • Create new relation definition.post
    • Filter relation definitions.post
    • Delete relation definition.del
    • Show relation definition details.get
    • [DEPRECATED; EOL 2027-06-09] Update relation definition.put
    • Update relation definition order.put
    • Show all product relations using relation definition.get
    • Partially update relation definition.patch
    • Update relation definition direction.post
  • Product groups
    • Assign multiple product variants groups to a variant family.post
    • Create variant family.post
    • Retrieve group level attribute.get
    • Update group level attribute (VLA).put
    • Unassign product group from variant family.del
    • Update product group order.put
    • Update group level attribute (VLA) for multiple products.put
  • Product variants
    • Assign multiple product variants to a variant group.post
    • Create variant group.post
    • Retrieve variant level attribute (VLA).get
    • Update variant level attribute (VLA).put
    • Unassign product variant.del
    • Assign product variant.put
    • Update product variant order.put
    • Update variant level attribute (VLA) for multiple products.put
  • Attribute groups
    • List all attribute groups.get
    • Create new attribute group.post
    • List definitions that are not in any group.get
    • Change order strategy for definitions without group.put
    • Change attribute's order.put
    • Get attribute root group.get
    • Delete attribute group.del
    • Change group's order.put
    • List definitions in attribute group.get
    • Change order strategy for definitions in group.put
    • Change attribute's order in group.put
    • Rename attribute group.put
    • Change attribute group number.put
  • Catalogs
    • List top-level catalogs.get
    • Archive catalog.del
    • Unarchive catalog.put
    • List all nodes/categories from catalog.get
    • Get categories with view and cursor Retrieve a paginated list of child categories from the specified catalog using cursor-based pagination and view filtering.post
  • Products bundles
    • Create product bundle.post
    • Delete product from bundle.del
    • Add product to bundle.post
    • Update the quantity of a product included in a bundle.put
    • Change a product's position in a bundle.put
  • Products assets
    • Retrieve the IDs of the assets associated with a product, in their display order and paginated.get
    • Attach several existing assets to a product in one call.post
    • Set assets for a product.put
    • Detach an asset from a product, removing only the link between them.del
    • Attach a single existing asset to a product, identified by asset ID in the path.post
    • Move an asset within a product.put
  • Category policy
    • Get policies by category node id.get
    • Add policy to category node.post
    • Delete policy by category node and policy id.del
    • Get policies by category id.get
    • Add policy to category.post
    • Delete policy by category and policy id.del
    • Get categories by policy id.get
    • Get categories node by policy id.get
  • Products labels
    • Remove product label from the set of products.del
    • Add product label to the set of products.post
    • Remove a set of labels from a product.del
    • Retrieve product labels.get
    • Add product labels to a product.post
    • Remove product label from product.del
  • Attribute definitions
    • List all attribute definitions.get
    • Create a new simple attribute definition.post
    • Create column attribute definition.post
    • Update column attribute definition.put
    • Show number of elements affected by the column attribute definition update operation.put
    • Create dictionary attribute definition.post
    • Update selected items limit for dictionary attribute definition.patch
    • Update dictionary attribute definition.put
    • Delete dictionary parent from dictionary definition.del
    • Set dictionary parent for filtering dictionary values.post
    • Create dictionary attribute value.post
    • Count dictionary attribute values for given dictionary attribute definition.post
    • List filtered dictionary attribute definitions.post
    • List filtered dictionary attribute values.post
    • Delete dictionary attribute value.del
    • Show details of dictionary attribute value.get
    • Update dictionary attribute value.patch
    • Delete dictionary attribute value parent/child filter.del
    • Create dictionary attribute value parent/child filter.post
    • Search attribute definitions by a filter and return the matching ones as a paged list.post
    • Create matrix attribute definition.post
    • Update matrix attribute definition.put
    • Show number of elements affected by the matrix attribute definition update operation.put
    • List simple attribute definitions.get
    • Delete simple attribute definition.del
    • Show details of attribute definition.get
    • Update simple attribute definition.patch
    • Update simple attribute definition.put
    • Switch the context-awareness of an attribute definition.put
    • Show number of elements affected by the attribute definition delete operation.del
    • Show number of elements affected by the attribute definition update operation.put
    • List all products that use the simple attribute definition.get
    • Add a new select value to a `single_select` or `multi_select` attribute definition.post
    • Remove a select value from a `single_select` or `multi_select` attribute definition.del
    • Update an existing select value within a `single_select` or `multi_select` attribute definition.patch
    • Move a select value to a specific position within the attribute definition's value list.put
  • Relation policy
    • Get relations by policy ID.get
    • Get relation policies.get
    • Add policy to the relation.post
    • Delete policy.del
  • Catalog node assets
    • List categories associated with asset.get
    • List assets associated with category.get
    • Disassociate asset from category.del
    • Associate asset with category.post
    • Change asset's order.put
  • Technical
    • Show service version.get

Media bank

  • Technical
    • Show service version.get
    • Health checks.get
  • Labels
    • Lists labels.get
    • Create a custom type of media label.post
    • Create a specified type of media label.post
    • Get label with given id.get
    • Update a custom type of media label.put
    • Delete a custom type of media label.del
    • Update a specified type of media label.put
    • Delete a specified type of media label.del
    • List specified type of media labels.post
  • Upload
    • Complete asset creation. The asset will be moved to \assets path.post
    • Lists assets in upload phase for current user.get
    • Create new empty asset. The asset will not be available for other users until done operation is completed.post
    • Update the asset's information to be uploaded.put
    • Create new version for existing asset. The new asset version will not be available for other users until done operation is completed.post
    • Cancel asset's creation. Any uploaded file and asset will be removed.del
  • Asset attributes
    • Assign attribute to asset.post
    • Unassign attribute from asset.del
    • Get list of attributes associated to asset.get
    • Set values to dictionary asset's attributeput
    • Set values to select asset's attributeput
    • Set value to simple asset's attributeput
    • Append select/multiselect values to assets.post
    • Deduct select/multiselect values from assets.post
    • Unassign attribute from assets.del
    • Add attribute to assets.post
    • Upsert assets attribute.put
    • Update assets attribute.post
    • Append values to dictionary asset's attributepost
    • Deduct values to dictionary asset's attributepost
  • Assets
    • Sets the assets labels attribute.put
    • Adds labels to asset's labels.post
    • Bulk add assets label.post
    • Bulk delete assets label.del
    • Bulk update of asset published flag.put
    • [DEPRECATED; EOL 2026-07-30] Describe asset.get
    • Mark current asset as deleted.del
    • Describe working asset versions.get
    • Duplicate the asset.post
    • Generate fixed link for latest version of asset. Full url follows the scheme: [pms-host]/latest/{url}put
    • [DEPRECATED; EOL 2026-07-30] Describe working assets. Search enabled by assetIds with paging.post
    • Describe working assets. Search enabled with query parameters.post
    • List working asset using cursor.post
    • Removes given label from the asset's labels.del
    • [DEPRECATED; EOL 2027-01-03] Bulk delete operation for list of assets.del
    • Revert version of asset.post
    • Update asset alpha channel flag.put
    • Update asset clipping path.put
    • Update asset description.put
    • Update asset internal flag.put
    • Update asset name.put
    • Update asset number.put
    • Update asset published flag.put
    • Show assets filtered by id with view.post
    • Show list of assets filtered by ids with details from given views.post
    • Generate presigned download URLs for assets.post
    • Bulk delete assets by IDs.post

Search

  • Full-text search
    • Execute the search query.get
  • Search
    • Search for products using an Elasticsearch query.post
    • Search for products using an Elasticsearch query and scroll. Prefer using POST products/cursor instead.post
    • Count for products using an Elasticsearch query.post
    • Search for assets using an Elasticsearch query.post
    • Count for assets using an Elasticsearch query.post
    • Search for products using cursor-based pagination with default sorting.post
    • Search for assets using cursor-based pagination.post

Labels

  • Labels
    • Get a label.get
    • Update a label.put
    • Delete a label.del
    • List labels.get
    • Create a new label.post
    • List labels by ids.post

Global settings

  • Filters
    • Grant or update filter permission to user.put
    • Revoke filter permission from user.del
    • List public and private filters using filtering criteria.post
    • List filters using filtering criteria.post
    • Create new filter.post
    • Get filter by using id.get
    • Delete filter using id.del
    • Update filter using id.patch
    • Delete filter of any user.del
    • Update public and private filterpatch
    • Lists users with filter permission.get
  • Contexts
    • Get a single context definition by id.get
    • Update context definition.put
    • Archive context definition.del
    • List context definitions for the current organization.get
    • Create context definition.post
    • List context definitions by names.post

History

  • History
    • Retrieve history events.get
    • Retrieve history events for given entity type.get
    • Retrieve history events for given entity.get
    • [DEPRECATED; EOL 2026-03-30] Retrieve history events for given entity type with cursor. Recommended for retrieving large sets of results.get
    • Retrieve history events for a given entity type using Point-In-Time (PIT) search. Suitable for paginated access to large result sets.get
    • Count events for given entity.get
    • Retrieving the history of events for a given type of entities that have a value from the query.get
    • Retrieve history events for given entity that have a value from the query.get

Tasks

  • Technical
    • Show service version.get
  • Task comments
    • List all comments with replies for given task.get
    • Add a comment for given taskpost
    • Add a comment reply for given task comment.post
  • Tasks reminders
    • Get reminders for task.get
    • Create reminder for task (max 5 allowed per task).post
    • Update reminder config.put
    • Delete reminder config.del
  • Tasks
    • Assign products to task.post
    • Assign task.put
    • Complete product in scope of a task.put
    • List all tasks for organization.get
    • Create new task.post
    • Delete product from task scope.del
    • List all/archived/assigned/created tasks for user.get
    • List all/archived/assigned tasks for user group.get
    • Get single task by id.get
    • Update task data.put
    • List archived tasks for organization.get
    • List folders of tasks for user.get
    • Mark product as incomplete in scope of a task.put
  • User tasks
    • Complete task by id of logged in user.put
    • Get tasks of logged in user.get
    • Get tasks assigned to logged in user.get
    • Get task by id of logged in user.get
    • Set task as important by id of logged in user.put
    • Set task as unimportant by id of logged in user.put
    • Revoke task by id of logged in user.put

Query builder

  • savedView
    • Validate passed viewpost
  • Products
    • Search for products for given query.post
    • Get number of products for given query.post
    • Scroll products for given query.post
    • Create a new persisted product query.post
    • Update persisted product query.put
    • Delete persisted product query.del
    • List persisted product queries.post
    • Search for persisted queries for given product.post
  • Organization
    • /organizationdel

Public API sync

  • Session sync
    • Close session.put
    • Cancel session.put
    • Add products to session.post
    • Create a new sync session.post
    • Get sync session.get
  • Products
    • List product states.post
    • Change product states.post
  • Categories
    • List category states.post
  • Session report
    • Create products report file.post
    • Get products by issue type for the session.post
    • Create entities report file.post
    • Create assets report file.post
    • Get products report link.get
    • Get products issues for the session.get
    • Get entities issues for the session.get
    • Get assets issues for the session.get
    • Get entities report link.get
    • Get assets report link.get
    • Get a session report.get
    • Get assets by issue type for the session.post

Public API

  • Products
    • /products/listpost
    • Show list of products filtered by ids.post
    • Show list of products filtered by numbers.post
    • /products/cursor/allpost
    • /products/{id}get
  • Categories
    • /categoriesget
    • /categories/{categoryId}/ancestorsget
    • /categories/scanget
    • [DEPRECATED; EOL 2027-01-15] undefinedget
    • /categories/{categoryId}/productsget
    • Show list of categories filtered by numbers.post
  • Syncs
    • Retrieves a collection of publish info for given tenant.get
    • Retrieves the information about given PublishInfo environment.get
  • Differences
    • /differences/productsget
    • /differences/sync/{id}/productsget
    • /differences/categoriesget
    • /differences/sync/{id}/categoriesget
    • /differences/attributesget
    • /differences/sync/{id}/attributesget
    • /differences/relationsget
    • /differences/sync/{id}/relationsget
  • Contexts
    • lists currently available publicationsget
  • Health
    • /healthget
  • Relations
    • /relationsget
  • Attributes
    • /attributesget
    • /attributes/dictionary/{attributeDefinitionId}/values/cursor/allpost
    • /attributes/by-numberspost

IDP

  • Additional user properties
    • Returns list of additional user properties.get
  • Consents
    • Returns the latest agreement.get
    • Check if user has approved latest agreement.get
    • Accept agreement with given id.post
  • API Clients
    • Returns list of registered API Clients.get
    • Returns list of registered API Clients names and ids.get
  • Dependent permissions
    • Returns list of all dependent permissions for a permissions.get
  • Managed roles
    • Returns list of managed roles.get
    • Returns managed role.get
  • Me
    • Returns simplified list of UI permissions in account from token.get
    • Reset MFA secret for currently logged in user.put
  • Organizations
    • Returns list of user organizations.get
    • Return organization.get
  • Permissions
    • Returns list of permissions.get
    • Return permission.get
  • Plugins
    • Returns ids of assigned plugins for organization from token.get
    • Return permissions for specific plugin in organization.get
  • Policies
    • Returns list of policies.get
    • Create new policy.post
    • Return policy.get
    • Update policy.put
    • Archive policy.del
  • Roles
    • Returns list of roles.get
    • Create new role.post
    • Returns role.get
    • Archive role.del
    • Edit role.put
    • Assign permissions by ids to role by id.post
    • Revoke permissions by ids of role by id.post
    • Get permissions for plugin.get
    • Update permissions for plugin.put
    • Assign plugin permissions to plugin.post
    • Revoke plugin permissions from plugin.post
    • Get default role.get
    • Set default role.post
    • Clear default role.del
  • Services
    • Returns list of registered API Clients names and ids.post
  • SSO Providers
    • Returns list of SSO provider configurations for the authenticated organization.get
    • Update client secret for a specific SSO provider.post
  • UserGroups
    • Create new user group.post
    • Returns list of user groups.get
    • Returns total number of user groups.get
    • Returns user group.get
    • Update user group.patch
    • Delete user group.del
    • /userGroups/{id}/duplicatepost
    • Add role to user group.put
    • Remove role from user group.put
    • Assign policy to user groupput
    • Unassign policy from user groupput
    • Add managed role to user group.put
    • Remove managed role from user group.put
  • Users
    • Returns the list of users in the caller's organization.get
    • Create new user.post
    • Returns the user. Fails if no user with that id exists in the caller's organization.get
    • Update user.put
    • Upload user picture.put
    • Change user password.put
    • Resend join email.put
    • Set user status.put
    • Update user type.put
    • Grant role.put
    • Revoke role.put
    • Grant policy.put
    • Revoke policy.del
    • Grant managed role.put
    • Revoke managed role.del
    • Grant additional properties.put
    • Revoke additional properties.put
    • Assign user group to user.put
    • Unassign user group from user.del
    • Reset MFA secret for user.put

External notifications

  • Subscriptions webhook
    • Unsubscribe for given events for given webhook.del
    • Get all events subscriptions enabled for given webhook.get
    • Subscribe for given events for given webhook.put
  • Webhooks
    • Create webhook.post
    • Search webhook.post
    • Delete webhook.del
    • Get webhook.get
    • [ASYNCHRONOUS ENDPOINT] Update webhook.put
  • Subscriptions email
    • Get user aggregation configuration for given entity type.get
    • Modify user aggregation configuration for given entity type.put
    • Unsubscribe for given events for email channel.del
    • Get all events subscriptions enabled for email channel.get
    • Subscribe for given events for email channel.put
  • Subscriptions in-app
    • Unsubscribe for given events for in-app channel.del
    • Get all events subscriptions enabled for in-app channel.get
    • Subscribe for given events for in-app channel.put
  • Webhook messages
    • Ping webhook.post
    • Get messages for a given webhook.post
  • Messages in-app
    • Get in-app messages.post
    • Get in-app user messages.post
    • Mark all messages as read.put
    • Mark message as read.put
    • Mark message as unread.put
  • Email messages
    • Get email messages.post
    • Get email message.get
  • Subscriptions apps queue webhook
    • Get info about apps queue webhook.get
    • Update apps queue for the given webhook.put
  • Subscriptions watch
    • Unsubscribe watch for given entities.del
    • Get all entities watched for given eventType.get
    • Subscribe watch for given entities.put
  • User configuration
    • Get general user configuration.get
    • Modify general user configuration.patch

Completeness score

  • Requirements
    • Update requirement.put
    • Delete requirement.del
    • Add included category to requirement.put
    • Remove included category to requirement.del
    • Add excluded category to requirement.put
    • Remove excluded category to requirement.del
    • Create requirement.post
    • List requirements.post
    • Count requirements.post
    • Get requirements for single entity.get
    • Add included product type to requirement.put
    • Remove included product type to requirement.del
  • Scores
    • Get scores.post
    • Get category scores.post
    • Stop ongoing calculation.post
    • Start new calculation.post
    • Recalculate score for entities.post
    • Invalidate scores.post
    • Get detailed scores for single entity.get
    • Get calculation status.get
  • Validation
    • Validate product attribute.post
    • Validate definition value.post
    • Get validation issues for product.get
  • Validation
    • Get validation issues for products by ids.post

Metadata

  • Metadata
    • Get metadata for given provider using cursor with details from given views.post
    • Get metadata for entities for given provider.post
    • Upsert metadata for given provider.post
    • Delete metadata for given provider.del
    • Delete metadata for given provider by ids.del
  • Task
  • Provider
    • List providers by numbers.post
    • Get providers for organization.get

UI settings

  • Columns setups
    • Get all setups.get
    • This endpoint allows you to create column setup.post
    • This endpoint allows you to get column setup by id.get
    • This endpoint allows you to update column setup by id.put
    • This endpoint allows you to delete column setup by id.del

Bulk Operations

  • Products
    • Bulk upsert product attributes by numberspost
    • Get job details by IDget
Powered by 

Task

Updated about 1 year ago


Delete metadata for given provider by ids.
Provider
Did this page help you?

Updated about 1 year ago


Delete metadata for given provider by ids.
Provider
Did this page help you?